Subject: [Thuban-list] (forw) Re: [postgis-users] Re: What aplication may i buy to edit postgisdata.

From: Frank Koormann <[email-masked]>
Date: Thu, 28 Aug 2003 09:08:37 +0200

For the archives. 

Paul Ramsey comments on the thoughts of implementing 
live-editing on PostGIS data into JUMP. These are also relevant for
Thuban: With the comming 0.9 release Thuban will have capabilities to 
read from PostGIS, and editing is always in mind.

Frank

-- 
Frank Koormann                             <[email-masked]>
 Professional Service around Free Software       (http://intevation.net/)
 FreeGIS Project                                 (http://freegis.org/)

Subject: Re: [postgis-users] Re: What aplication may i buy to edit postgisdata.
From: Paul Ramsey <[email-masked]>
To: PostGIS Users Discussion <[email-masked]>
Date: Tue, 26 Aug 2003 18:22:40 -0700
List-Id: PostGIS Users Discussion <postgis-users.postgis.refractions.net>

I am totally stoked about the possibility of getting a PostGIS 
live-edit capability into JUMP. We have a design roughed out, we just 
do not have a project to fund the work. It would be pretty cool too -- 
by doing all the live editing within a transaction block, it would be 
possible to rollback or commit complete edit blocks.

One interesting side issue of starting to do live edits within 
transactions in PostGIS is improving concurrency in the GiST indexes.  
Unlike B-Trees, GiST does not support row-level concurrency.  There are 
some academic papers on the problem, but no implementations that I know 
of.  It would be interesting to know how OracleSpatial handles 
concurrency in its RTree implementation.

P.

On Tuesday, August 26, 2003, at 10:38 AM, Brent Fraser wrote:

> Chris,
>
>   I just tried JUMP and it looks very intriguing.  Over the past 
> couple of
> weeks I've been testing various WMS clients with Mapserver, trying to 
> find a
> good one that our sales people can use to show our raster data 
> products.
> Most have shortcomings when dealing with selecting or setting 
> coordinate
> systems.
>
>   I've noticed that JUMP will give the user the opportunity to select 
> the
> coordinate system from the list supplied from the WMS server 
> (excellent!),
> but there seems to be no way to set the view (task) coordinate system 
> so I
> can overlay (and JUMP can project) local lat/lon shapefiles.
>
> We tend to keep our shapefiles unprojected and let ArcView 3.x do the
> projecting when necessary.  This relieves us from have the same data in
> multiple coordinate system (and now that Mapserver can do 24-bit raster
> reprojection and act as a WMS server we may want to do the same for our
> raster data).
>
> Any plans in the future for JUMP to project local vector data on the 
> fly?
>
> Thanks!
>
> Brent Fraser
> GeoAnalytic Inc.
> Tel:(403) 213-2700
> [email-masked]
> www.geoanalytic.com
>
> ----- Original Message -----
> From: <[email-masked]>
> To: "PostGIS Users Discussion" <[email-masked]>
> Sent: Tuesday, August 26, 2003 10:16 AM
> Subject: Re: [postgis-users] Re: What aplication may i buy to edit
> postgisdata.
>
>
>> I would have to suggest JUMP as a possibility. It doesn't allow 
>> in-table
>> editing (yet) but you can suck out a table and edit it, then save it 
>> back
> to a
>> new table (with the postgis plugin). This won't work very well if your
> table is
>> too large to fit all in memory at once... eventually there will 
>> probably a
>> better postgis plugin with support for in-table editing.
>>
>> http://www.vividsolutions.com/jump/
>>
>> Chris
>>
>> Quoting Wilman Rojas <[email-masked]>:
>>
>>>
>>> We clarify:
>>>
>>> We do not want to buy ArcEditor.
>>> Do you know of any other  software available for Postgis data 
>>> editing.
>>>
>>> Thank.
>>>
>>> Wilman Rojas.
>>>
>>>
>>
>>
>>
>>
>>
>> _______________________________________________
>> postgis-users mailing list
>> [email-masked]
>> http://postgis.refractions.net/mailman/listinfo/postgis-users
>
>
> _______________________________________________
> postgis-users mailing list
> [email-masked]
> http://postgis.refractions.net/mailman/listinfo/postgis-users
>
      Paul Ramsey
      Refractions Research
      Email: [email-masked]
      Phone: (250) 885-0632

_______________________________________________
postgis-users mailing list
[email-masked]
http://postgis.refractions.net/mailman/listinfo/postgis-users